commit d604bea27788ef2b9ce80d619ce2b06c690e2ee8
parent ddb20c3d14eda120c4fbfac7eb59ac2ed58c22f6
Author: regexghost <dev@regexghost.com>
Date: Wed, 17 Jun 2026 22:17:16 +0100
added download-pods.sh and extension to queue-vids.sh (newsraft)
Diffstat:
5 files changed, 34 insertions(+), 2 deletions(-)
diff --git a/dotfiles/.config/newsraft/queue-vid.sh b/dotfiles/.config/newsraft/queue-vid.sh
@@ -11,8 +11,12 @@ if echo "$1" | grep -q "youtube.com/watch"; then
elif echo "$1" | grep -q "youtube.com/shorts"; then
id="$(echo "$1" | sed -nE 's/.*\/(.*)/\1/p')"
setsid yt-data "$1" > "${LOC}/Shorts/${id}.txt" &
+elif echo "$1" | grep -q ".mp3"; then
+ echo "$1" >> "${HOME}/Videos/Podcasts/toDownload.txt"
+ notify-send "Podcast Queued"
+ exit
else
- notify-send "Not a video"
+ notify-send "Not a video or podcast"
exit
fi
diff --git a/jwm/.config/jwm/jwmrc b/jwm/.config/jwm/jwmrc
@@ -48,6 +48,10 @@
<Option>nopager</Option>
<Option>nolist</Option>
</Group>
+ <Group>
+ <Class>scratchpad</Class>
+ <Option>nolist</Option>
+ </Group>
<!-- Tray at the bottom. -->
<Tray x="0" y="0" autohide="off" delay="1000" height="26" width="550">
diff --git a/panel-scripts/lemonbar-runner.sh b/panel-scripts/lemonbar-runner.sh
@@ -2,4 +2,4 @@
. "$XDG_CONFIG_HOME"/regexghost/current-theme.sh
-"$XDG_DATA_HOME/regexghost/panel/lemonbar-bar.sh" | lemonbar -o +0 -f "${FONT_FAMILY} Medium:size=10" -o -2 -f "Font Awesome 7 Free Solid:size=10" -g 1374x26+546+0 -B "#${BACKGROUND_BLACK}" -F "#${FOREGROUND_WHITE}"
+"$XDG_DATA_HOME/regexghost/panel/lemonbar-bar.sh" | lemonbar -o +0 -f "${FONT_FAMILY} Medium:size=10" -o -3 -f "Font Awesome 7 Free Solid:size=10" -g 1374x26+546+0 -B "#${BACKGROUND_BLACK}" -F "#${FOREGROUND_WHITE}"
diff --git a/terminal-scripts/Makefile b/terminal-scripts/Makefile
@@ -19,6 +19,7 @@ normal:
cd soundboard/; go1.26.2 build -o soundboard soundboard.go; mv soundboard ${BIN}/soundboard; cd ..
cp tag-song.sh ${BIN}/tag-song
cp download-vids.sh ${BIN}/download-vids
+ cp download-pods.sh ${BIN}/download-pods
cp am-extract.sh ${BIN}/am-extract
cp yt-data.sh ${BIN}/yt-data
cp tag-music.py ${TERMINAL}/tag-music.py
diff --git a/terminal-scripts/download-pods.sh b/terminal-scripts/download-pods.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+LOC="${HOME}/Videos/Podcasts"
+queueFile="${LOC}/toDownload.txt"
+
+cp "$queueFile" /tmp/toDownload.txt
+
+while read -r podcast_file; do
+ echo "$podcast_file"
+ curl -L "$podcast_file" > /tmp/out.mp3
+ if ! [ "$?" = "0" ]; then
+ mv /tmp/toDownload.txt "$queueFile"
+ echo "Error"
+ exit
+ fi
+
+ filename="$(mediainfo /tmp/out.mp3 | grep -e "Track name" -e "Album" | sed 's/Track name/Trackname/g' | tr -s " " | cut -d " " -f 3- | tr "\n" "+" | sed 's/[+]/ - /g' | sed 's/ - //g').mp3"
+ mv /tmp/out.mp3 "${LOC}/${filename}"
+ grep -v "$podcast_file" /tmp/toDownload.txt > /tmp/toDownload.txt.tmp
+ mv /tmp/toDownload.txt.tmp /tmp/toDownload.txt
+done < "$queueFile"
+
+mv /tmp/toDownload.txt "$queueFile"